Subject: cygwin_except_handler problem !
From: [email-masked] (Pasa Guglielmo)

13 Nov 1997 18:54:18 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hi,
While running XEphem 3.0 I got the following error message. It is caused
when
I try to select a cache directory for the GSC catalog in
~/xephem_3/auxil/gsccache.
My GSC CD-ROM is accessed in //k/ with no problems. I use coolview 3
Nov.
X11R6.3. It seems to be a cygwin.dll problem. When I register the
selection
I get that mesage and then XEphem crashes(It disappears, so no serious
problems !).

Does anybody know what is this all about and if that kind of problem is
thought to disappear with a next version of cygwin ?

gui@JAMES/usr/gnuwin32/b18# xephem
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) In cygwin_except_handler exc
C0000005 at 5D
266D sp 275E14C
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) Exception trapped!
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) exception C0000005 at 5D266D
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) exception: ax FFFFFFFF bx FFFFFFFF
cx 53 dx
 FFFFFFFF
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) exception: si 275E33C di 2 bp
275E150 sp 27
5E14C
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) exception is:
STATUS_ACCESS_VIOLATION
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) Stack trace:
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 0: sp = 0x275DF64, pc =
0x597BB2
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 1: sp = 0x275DF80, pc =
0xBFF7663C
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 2: sp = 0x275DFA4, pc =
0xBFF859D9
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 3: sp = 0x275E03C, pc =
0xFFECBAD7
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 4: sp = 0x275E150, pc =
0x5D53E5
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 5: sp = 0x275E388, pc =
0x5D4AD9
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 6: sp = 0x275E3A0, pc =
0x5D1AF3
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 7: sp = 0x275E40C, pc =
0x41D167
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 8: sp = 0x275E8A4, pc =
0x41CCE8
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 9: sp = 0x275ECCC, pc =
0x41B196
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 10: sp = 0x275ECD4, pc =
0x4261FE
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 11: sp = 0x275ECDC, pc =
0x4775FF
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 12: sp = 0x275EDA0, pc =
0x476C10
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 13: sp = 0x275EDAC, pc =
0x5963BA
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 14: sp = 0x275FE0C, pc =
0x5963CB
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) frame 15: sp = 0x275FE18, pc =
0x514521
(D:\USR\X11R6.3\BIN\XEPHEM.EXE 1011) End of stack trace (more stack
frames may b
e present)

-- 
Sincerely yours,
				Pasa Guglielmo
------------------------------------------------------------------
¦ homepage: http://www.omedia.ch/pages/gpasa/			 ¦
¦----------------------------------------------------------------¦
¦ e-mail  : [email-masked]       ¦  tel. :  +41 (0)24 485 50 40 ¦
¦ mailing : Pasa Guglielmo        ¦  fax  :  +41 (0)24 485 50 44 ¦
¦ 	    Rte des Cases 17A     ¦ 	  	  		 ¦	
¦ 	 CH-1890 St-Maurice       ¦  prof.: physicist		 ¦	
¦	    (Switzerland)         ¦				 ¦	
------------------------------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".